%undefine __libtoolize
%define		_SO_nr	3

Name:		ffmpegthumbnailer
Summary:	Lightweight video thumbnailer that can be used by file managers
Summary(ru_RU.UTF8): Легковесный создатель миниатюр для видео-файлов
Version:	1.5.4
Release:	alt1
License:	GPLv2
Group:		Graphics
Packager:	Denis Koryavov <dkoryavov@altlinux.ru>
Url:		http://code.google.com/p/ffmpegthumbnailer/
Source0:	http://ffmpegthumbnailer.googlecode.com/files/%name-%version.tar.gz
Source90:	%name-rpmlintrc

BuildRequires: gcc-c++ libavformat-devel libjpeg-devel libpng-devel libswscale-devel

%description
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

The project also includes a C/C++ library that can be used by
developers to generate thumbnails in their projects.


%description -l ru_RU.UTF-8
Ffmpegthumbnailer - легковесный создатель миниатюр для видео-файлов,
который может быть использован в файловых менеджерах. Он специально
разрабатывался таким образом, чтобы быть как можно легче и быстрее
и иметь минимальное количество зависимостей.

Для своей работы использует проигрыватель ffmpeg, поэтому, поддерживает
все видеоформаты поддерживаемые данным проигрывателем.

Так же в проекте имеются разделяемые библиотеки на С/C++, которые
могут быть использованы разработчиками для генерации миниатюр видео-файлов
для своих проектов. 


%package -n lib%name%_SO_nr
Summary: Shared libraries for ffmpegthumbnailer
Summary(ru_RU.UTF-8): Разделяемые библиотеки для ffmpegthumbnailer 
Group: System/Libraries

%description -n lib%name%_SO_nr
Ffmpegthumbnailer - is a lightweight video thumbnailer that can be 
used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

This package includes a shared libraries for ffmpegthumbnailer.

%description -n lib%name%_SO_nr -l ru_RU.UTF-8
Ffmpegthumbnailer - легковесный создатель миниатюр для видео-файлов,
который может быть использован в файловых менеджерах. Он специально
разрабатывался таким образом, чтобы быть как можно легче и быстрее.

Для своей работы использует проигрыватель ffmpeg, поэтому, поддерживает
все видеоформаты поддерживаемые данным проигрывателем.

В данном пакете находятся разделяемые библиотеки используемые утилитой 
ffmpegthumbnailer для своей работы. 


%package -n lib%name-devel
Summary: Include Files and Libraries mandatory for Development
Summary(ru_RU.UTF-8): Заголовочные файлы и библиотеки для ffmpegthumbnailer
Group: Development/C++
Requires: libffmpegthumbnailer%_SO_nr = %version-%release

%description -n lib%name-devel
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

This package includes C/C++ libraries that can be used by
developers to generate thumbnails in their projects.

%description -n lib%name-devel -l ru_RU.UTF-8
Ffmpegthumbnailer - легковесный создатель миниатюр для видео-файлов,
который может быть использован в файловых менеджерах. Он специально
разрабатывался таким образом, чтобы быть как можно легче и быстрее.

Для своей работы использует проигрыватель ffmpeg, поэтому, поддерживает
все видеоформаты поддерживаемые данным проигрывателем.

В данном пакете находятся разделяемые библиотеки на С/C++, которые
могут быть использованы разработчиками для генерации миниатюр видео-файлов
для своих проектов. 


%package -n lib%name-devel-static
Summary: Static libraries for lib%name-devel
Summary(ru_RU.UTF-8): Заголовочные файлы и статические библиотеки для ffmpegthumbnailer
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Lightweight video thumbnailer that can be used by file managers.

This video thumbnailer can be used to create thumbnails for your
video files. The thumbnailer uses ffmpeg to decode frames from the
video files, so supported videoformats depend on the configuration
flags of ffmpeg.

This thumbnailer was designed to be as fast and lightweight as
possible. The only dependencies are ffmpeg, libpng and libjpeg.

This package includes a static C/C++ libraries that can be used by
developers to generate thumbnails in their projects.

%description -n lib%name-devel-static -l ru_RU.UTF-8
Ffmpegthumbnailer - легковесный создатель миниатюр для видео-файлов,
который может быть использован в файловых менеджерах. Он специально
разрабатывался таким образом, чтобы быть как можно легче и быстрее.

Для своей работы использует проигрыватель ffmpeg, поэтому, поддерживает
все видеоформаты поддерживаемые данным проигрывателем.

В данном пакете находятся статические разделяемые библиотеки на С/C++, которые
могут быть использованы разработчиками для генерации миниатюр видео-файлов
для своих проектов. 

%prep
%setup -q -n %name-%version
%__chmod 644 AUTHORS README COPYING ChangeLog

%build
%configure
%make_build

%install
%makeinstall

%__rm %buildroot%_libdir/libffmpegthumbnailer.la

%files
%doc AUTHORS ChangeLog README
%_bindir/%name
%_man1dir/*

%files -n lib%name%_SO_nr
%_libdir/lib%name.so.*

%files -n lib%name-devel
%_libdir/lib%name.so
%dir %_includedir/lib%name
%_includedir/lib%name/*.h
%_pkgconfigdir/lib%name.pc

%files -n lib%name-devel-static
%_libdir/lib%name.a

%changelog
* Wed Sep 09 2009 Denis Koryavov <dkoryavov@altlinux.org> 1.5.4-alt1
- Version update and build for Sisyphus

* Mon Jun 01 2009 Motsyo Gennadi <drool@altlinux.ru> 1.5.2-alt1
- initial build for ALT Linux from OpenSuSE package
